[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomProgressBar.Style

Drawing style for the progress bar.

## Declaration

Source position: comctrls.pp line 1855

`public property TCustomProgressBar.Style : TProgressBarStyle read FStyle write SetStyle default pbstNormal;`

## Description

The default value for the property is pbstNormal, and causes a solid (or segmented bar) to be displayed. pbstMarquee causes the animated marquee-style progress bar to be displayed.